{% extends 'base.html' %}
{% block content %}
	<div class="panel">
	<div class="row">
		<div class="col-sm-3">
			<img class="img-thumbnail" src="/static/image/logo.png" alt="Site Logo - 100x200" style="width: 200px; height: 100px;" >
		</div>
		{% if login %}
		<div class="col-sm-9">
		{% else %}
		<div class="col-sm-6">
		{% endif %}
			<h1 class="Page Header">
				<a href="{% url 'home' %}"><strong><i>Career Bazzar</i></strong></a>
				<small><br />&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp &nbsp&nbsp&nbsp&nbsp &nbsp&nbsp&nbsp&nbsp Here Site Slogan</small>
			</h1>
		</div>
		{% if login %}
		{% else %}
		<div class="col-sm-3">
			<p class="lead"><a href="{% url 'employer_signup' %}"><img class="img-thumbnail" src="/static/image/employer.jpg" alt="employer - 100x200" style="width: 200px; height: 100px;" ></a></p>
		</div>
		{% endif %}
	</div>
	</div>

	<br />

	<div class="well well-sm">
	<div class="row">
		<div class="col-sm-12" align="center">
			
			<form class="form-inline" action="{% url 'search1' %}" method="GET" >{% csrf_token %}
				<div class="form-group-group">
					<input class="form-control" type="text" name='keyword' placeholder="Search Jobs" style="width:50%" />
				</div>
				<div class="form-group">
					<select class="form-control" type="text" name='type'>
						<option>All Types</option>
						{% for item in jobtype %}
							<option>{{ item }}</option>
						{% endfor %}
					</select>
				</div>
				&nbsp		
				<button type="submit" class="btn btn-success"><span class='glyphicon glyphicon-search' ></span><strong> Search</strong></button>
			</form>
		</div>	
	</div>
	</div>
	<br />

	<div class="well well-sm">
		<div class="row">
			{% if login %}
			<div>
				<h4 class="text-warning text-center"><strong>Welcome <em>{{ session_name }}</em>. Please Keep Your Profile Up to Date.</strong></h4>
			</div>

			{% else %}

			<div class="col-sm-4" align="center">
				<img class="img-thumbnail" src="/static/image/pjob.gif" alt="post job - 100x200" style="width: 200px; height: 100px;" >
				<h2><strong>Post a job</strong></h2>
				<a href="{% url 'job_post' %}"><strong>Fast and free</strong></a><br />			
			</div>
			<div class="col-sm-4" align="center">
				<img class="img-thumbnail" src="/static/image/bjobs.png" alt="browse jobs - 100x200" style="width: 200px; height: 100px;" >
				<h2><strong>Browse jobs</strong></h2>
				<a href="{% url 'browse_job' %}"><strong>Find the perfect job for you</strong></a><br />
			</div>
			<div class="col-sm-4" align="center">
				<img class="img-thumbnail" src="/static/image/reg.jpg" alt="registration - 100x200" style="width: 200px; height: 100px;" >
				<h2><strong>Register</strong></h2>
				<a href="{% url 'signup' %}"><strong>Apply for jobs quickly and easily</strong></a><br />	
			</div>

			{% endif %}
		</div>
	</div>

	<div class="panel">
	<div class="row">
		<hr>
		<div class="col-sm-9">
			<h1 class="text-success"><strong>Featured Jobs</strong></h1>
			<div align="center">
				<table class="table table-hover table-striped">
					<thead>
                        <tr>
                            <td>Type</td>
                            <td>Title<br />-Company Name</td>
                            <td>Location</td>
                            <td>Posted On</td>
                            <td>Deadline</td>
                        </tr>
                    </thead>
					<tbody>
						{% for item in featured %}
							<tr>
							<td>{{ item.jobType}}</td>
							<td><a href="{% url "job" item.id %}">{{ item.jobTitle }}<br>-{{ item.companyName }}</a></td>
							<td>{{ item.jobLocation }}</td>
							<td>{{ item.jobCreated }}</td>
							<td>{{ item.applyDeadline }}</td>
							</tr>
						{% endfor %}
					</tbody>
				</table>
			</div>
			<h1 class="text-success"><strong>Latest Jobs</strong></h1>
			<div align="center">
				<table class="table table-hover table-striped">
					<thead>
                        <tr>
                            <td>Type</td>
                            <td>Title<br />-Company Name</td>
                            <td>Location</td>
                            <td>Posted On</td>
                            <td>Deadline</td>
                        </tr>
                    </thead>
					<tbody>
						{% for item in latest %}
							<tr>
							<td>{{ item.jobType}}</td>
							<td><a href="{% url "job" item.id %}">{{ item.jobTitle }}<br>-{{ item.companyName }}</a></td>
							<td>{{ item.jobLocation }}</td>
							<td>{{ item.jobCreated }}</td>
							<td>{{ item.applyDeadline }}</td>
							</tr>
						{% endfor %}
					</tbody>
				</table>
			</div>
		</div>

		<div class="col-sm-3">
			<h2 class="text-warning">Filter Jobs</h2>
			<form class="form-group" action="{% url 'search2' %}" id="search_form" method="get"> {% csrf_token %}
				<label>Job Category &nbsp</label>
				<select class="form-control" type="text" name='category'>
					<option>All</option>
					{% for item in category %}
						<option>{{ item }}</option>
					{% endfor %}
				</select>
				<br />
				<label>Job Type &nbsp</label>
				<select class="form-control" type="text" name='type'>
					<option>All</option>
					{% for item in jobtype %}
						<option>{{ item }}</option>
					{% endfor %}
				</select>
				<br />
				<label>Job Salary &nbsp</label>
				<select class="form-control" type="text" name='salary'>
					<option>All</option>
					{% for item in salary %}
						<option>{{ item }}</option>
					{% endfor %}
				</select>
				<br />
				<label>Job Location &nbsp</label>
				<select class="form-control" type="text" name='location'>
					<option>All</option>
					{% for item in location %}
						<option>{{ item }}</option>
					{% endfor %}
				</select>

				<br /><br />
				<button class="btn btn-success btn-lg btn-block" type="submit">Search</button>
				
			</form>

		</div>

	</div>
	</div>
{% endblock content %}